Bug 109201 - dvipdf defaults to using poor fonts for pdf files
dvipdf defaults to using poor fonts for pdf files
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 11:39 EST by Neil Horman
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2003-11-05 11:39:00 EST
Description of problem:
dvipdf uses sub-optimal fonts since it allows default use of the
$PRINTER environment variable

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.create a dvi file
2.convert it to pdf with dvipdf
3.view the file in acrobat
  
Actual results:
font selection for document is fairly unreadable

Expected results:
a read able document

Additional info:
This is being caused by the fact that the dvipdf script calls dvips
without setting the -P option.  Since it is not set, whatever value is
selected in the printer environment variable is used, which can easily
lead to poor font selection.  Since dvipdf outputs to a file only, it
would seem to make sense to add the -P pdf option to the commands
passed to dvips in dvipdf
Comment 1 Tim Waugh 2003-11-07 07:42:47 EST
When I try this I get errors like:

dvips: Font ecrm1728 at 8000 not found; scaling 600 instead.
dvips: Such scaling will generate extremely poor output.
Comment 2 Neil Horman 2003-11-07 08:07:17 EST
What release are you using, I see no such errors on RH9. Perhaps a new
default font needs to be slected?
Comment 3 Tim Waugh 2003-11-07 08:10:07 EST
This is Fedora Core 1.
Comment 4 Neil Horman 2003-11-12 08:37:29 EST
I'm afraid I don't have a machine running Fedora handy.  Out of
curiosity, putting the errors aside, does the resultant pdf file look
better (on screen or on paper) if you use or exclude the option?
Comment 5 Bill Nottingham 2006-08-04 23:11:21 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 13:29:04 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.